Magick++: Magick::DrawableClipPath Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::DrawableClipPath Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableClipPath:
[legend]
Collaboration diagram for Magick::DrawableClipPath:
[legend]

## Public Member Functions
| DrawableClipPath (const std::string &id_)
| DrawableClipPath (const DrawableClipPath &original_)
| ~DrawableClipPath (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | clip_path (const std::string &id_)
std::string | clip_path (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 576 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableClipPath() [1/2]

Magick::DrawableClipPath::DrawableClipPath | ( | const std::string & | id_ | ) |

Definition at line 433 of file Drawable.cpp.

## ◆ DrawableClipPath() [2/2]

Magick::DrawableClipPath::DrawableClipPath | ( | const DrawableClipPath & | original_ | ) |

Definition at line 438 of file Drawable.cpp.

## ◆ ~DrawableClipPath()

Magick::DrawableClipPath::~DrawableClipPath | ( | void |  | ) |

Definition at line 443 of file Drawable.cpp.

## Member Function Documentation

## ◆ clip_path() [1/2]

void Magick::DrawableClipPath::clip_path | ( | const std::string & | id_ | ) |
| inline

Definition at line 590 of file Drawable.h.

## ◆ clip_path() [2/2]

std::string Magick::DrawableClipPath::clip_path | ( | void |  | ) | const
| inline

Definition at line 594 of file Drawable.h.

## ◆ copy()

Magick::DrawableBase * Magick::DrawableClipPath::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 450 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableClipPath::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 446 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp